# Interface Field

public interface Field
Represents a TFCat Field.

Since:
  9 Feb 2022
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Datatype<?>`
`getDatatype()`
Returns field datatype.
`String`
`getInfo()`
Returns field description.
`String`
`getName()`
Returns the field name.
`String`
`getUcd()`
Returns field Uniform Content Descriptor.
`String`
`getUnit()`
Returns field unit.

## Method Details

### getName

String getName()
Returns the field name.

Returns:
  value of field "name" member

### getInfo

String getInfo()
Returns field description.

Returns:
  value of field "info" member

### getDatatype

Datatype<?> getDatatype()
Returns field datatype.

Returns:
  datatype corresponding to field "datatype" member; null if not present or invalid

### getUcd

String getUcd()
Returns field Uniform Content Descriptor.

Returns:
  value of field "ucd" member

### getUnit

String getUnit()
Returns field unit.

Returns:
  value of field "unit" member